package com.project.zcustom.service.logistics;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.project.zcustom.domain.addional.LargeHousingLand;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

public interface ILargeHousingLandService extends IService<LargeHousingLand> {
    Map<String, Object> getStockOfEstateResources();

    Map<String, Object> getStockOfLandResources();

    Map<String, Object> getInvestFinishState();

    /**
     * 分页查询房产土地列表
     *
     * @param largeHousingLand 房产土地
     * @return 房产土地集合
     */
    public IPage<LargeHousingLand> pagingLargePlatHousingLandList(LargeHousingLand largeHousingLand);

}
